org.apache.pdfbox.pdmodel.interactive.action

## Class PDWindowsLaunchParams

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDWindowsLaunchParams

All Implemented Interfaces:
  COSObjectable

    public class PDWindowsLaunchParams
    extends Object
    implements COSObjectable

Launch parameters for the windows OS.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `OPERATION_OPEN` The open operation for the launch.
`static String` `OPERATION_PRINT` The print operation for the launch.
`protected COSDictionary` `params` The params dictionary.

### Constructor Summary

Constructors
Constructor and Description
`PDWindowsLaunchParams()` Default constructor.
`PDWindowsLaunchParams(COSDictionary p)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`String` `getDirectory()` The dir to launch from.
`String` `getExecuteParam()` A parameter to pass the executable.
`String` `getFilename()` The file to launch.
`String` `getOperation()` Get the operation to perform on the file.
`void` `setDirectory(String dir)` Set the dir to launch from.
`void` `setExecuteParam(String param)` Set the parameter to pass the executable.
`void` `setFilename(String file)` Set the file to launch.
`void` `setOperation(String op)` Set the operation to perform..

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OPERATION_OPEN

    public static final String OPERATION_OPEN

The open operation for the launch.

See Also:
  Constant Field Values

#### OPERATION_PRINT

    public static final String OPERATION_PRINT

The print operation for the launch.

See Also:
  Constant Field Values

#### params

    protected COSDictionary params

The params dictionary.

### Constructor Detail

#### PDWindowsLaunchParams

    public PDWindowsLaunchParams()

Default constructor.

#### PDWindowsLaunchParams

    public PDWindowsLaunchParams(COSDictionary p)

Constructor.

Parameters:
  `p` - The params dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getFilename

    public String getFilename()

The file to launch.

Returns:
  The executable/document to launch.

#### setFilename

    public void setFilename(String file)

Set the file to launch.

Parameters:
  `file` - The executable/document to launch.

#### getDirectory

    public String getDirectory()

The dir to launch from.

Returns:
  The dir of the executable/document to launch.

#### setDirectory

    public void setDirectory(String dir)

Set the dir to launch from.

Parameters:
  `dir` - The dir of the executable/document to launch.

#### getOperation

    public String getOperation()

Get the operation to perform on the file. This method will not return null, OPERATION_OPEN is the default.

Returns:
  The operation to perform for the file.
See Also:
  `OPERATION_OPEN`, `OPERATION_PRINT`

#### setOperation

    public void setOperation(String op)

Set the operation to perform..

Parameters:
  `op` - The operation to perform on the file.

#### getExecuteParam

    public String getExecuteParam()

A parameter to pass the executable.

Returns:
  The parameter to pass the executable.

#### setExecuteParam

    public void setExecuteParam(String param)

Set the parameter to pass the executable.

Parameters:
  `param` - The parameter for the executable.